| Home | Libraries | People | FAQ | More

#### strategy::transform::ublas_transformer

Affine transformation strategy in Cartesian system.

###### Description

The strategy serves as a generic definition of affine transformation matrix and procedure of application it to given point.

###### Synopsis

    template<typename P1, typename P2, std::size_t Dimension1, std::size_t Dimension2>
    class strategy::transform::ublas_transformer
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename P1 | first point type (source)
typename P2 | second point type (target)
std::size_t Dimension1 | number of dimensions to transform to second point
std::size_t Dimension2 |

###### Header

`#include <boost/geometry/strategies/transform/matrix_transformers.hpp>`